#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# Ellipse Class

Defined in: `src/pixi/core/Ellipse.js:5`
Module: PIXI

The Ellipse object can be used to specify a hit area for displayObjects

## Constructor

### `Ellipse`

(

- `x`
- `y`
- `width`
- `height`

)

Defined in `src/pixi/core/Ellipse.js:5`

#### Parameters:

- `x` Number

  The X coordinate of the center of the ellipse

- `y` Number

  The Y coordinate of the center of the ellipse

- `width` Number

  The half width of this ellipse

- `height` Number

  The half height of this ellipse

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- contains
- getBounds

### Properties

- height
- width
- x
- y

## Methods

### `clone`

() Ellipse

Defined in `src/pixi/core/Ellipse.js:46`

Creates a clone of this Ellipse instance

#### Returns:

Ellipse:

a copy of the ellipse

### `contains`

(

- `x`
- `y`

)
Boolean

Defined in `src/pixi/core/Ellipse.js:57`

Checks whether the x and y coordinates passed to this function are contained within this ellipse

#### Parameters:

- `x` Number

  The X coordinate of the point to test

- `y` Number

  The Y coordinate of the point to test

#### Returns:

Boolean:

Whether the x/y coords are within this ellipse

### `getBounds`

() Rectangle

Defined in `src/pixi/core/Ellipse.js:80`

Returns the framing rectangle of the ellipse as a PIXI.Rectangle object

#### Returns:

Rectangle:

the framing rectangle

## Properties

### `height`

Number

Defined in `src/pixi/core/Ellipse.js:38`

Default: 0

### `width`

Number

Defined in `src/pixi/core/Ellipse.js:31`

Default: 0

### `x`

Number

Defined in `src/pixi/core/Ellipse.js:17`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Ellipse.js:24`

Default: 0